/* ###################################################################
 * Section common with Gnome Shell
 * ... contains a few cinnamon specific styles (rare occurences) 
 * ###################################################################*/
stage {
    font-family: Noto Sans, sans-serif;
}

.cinnamon-link {
    color: #0000ff;
    text-decoration: underline;
}

.cinnamon-link:hover {
    color: #0000e0;
}

.label-shadow {
    color: rgba(0,0,0,0.5);
}

StScrollBar
{
  padding: 0px;
}

StScrollView.vfade
{
  -st-vfade-offset: 68px;
}

StScrollView StScrollBar
{
  min-width: 8px;
  min-height: 16px;
}


StScrollBar StBin#trough {
    background-color: rgba(0,0,0,0);
    border: 1px solid #555555;
    border-radius: 4px;
}

StScrollBar StButton#vhandle
{
    background-color: rgba(90,90,90,1);
    border: 1px solid rgba(90,90,90,1);
    border-radius: 4px;
}

StScrollBar StButton#hhandle
{
    background-color: rgba(90,90,90,1);
    border: 1px solid rgba(90,90,90,1);
    border-radius: 4px;
}

StScrollBar StButton#hhandle:hover,
StScrollBar StButton#vhandle:hover
{
    background-color: rgba(100,100,100,1);
}

#Tooltip {
    border: 1px solid rgba(212,185,67,1.0);
    border-radius: 4px;
    padding: 2px 12px;
    background-gradient-end: rgba(251,234,159,0.9);
    background-gradient-start: rgba(254,245,198,0.9);
    background-gradient-direction: vertical;
    color: #000000;
    font-size: 8.5pt;
    font-weight: normal;    
    text-align: center;
}

/* ===================================================================
 * Shared button properties 
 * ===================================================================*/

.notification-button, .notification-icon-button,
.hotplug-notification-item, .hotplug-resident-eject-button,
.modal-dialog-button {
    color: white;
    border: 1px solid #8b8b8b;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(255, 255, 255, 0.2);
    background-gradient-end: rgba(255, 255, 255, 0);
    font-size: 8.5pt;
    font-weight: normal;    
    text-align: center;
}

.notification-button:hover,
.notification-icon-button:hover, .hotplug-notification-item:hover,
.hotplug-resident-eject-button:hover, .modal-dialog-button:hover {
    background-gradient-start: rgba(255, 255, 255, 0.3);
    background-gradient-end: rgba(255, 255, 255, 0.1);
}

.notification-button:focus,
.notification-icon-button:focus, .hotplug-notification-item:focus,
.modal-dialog-button:focus {
    border: 1px solid rgba(35,35,35,1);
}

.notification-button:active, .notification-icon-button:active,
.hotplug-notification-item:active, .hotplug-resident-eject-button:active,
.modal-dialog-button:active, .modal-dialog-button:pressed {
    background-gradient-start: rgba(255, 255, 255, 0);
    background-gradient-end: rgba(255, 255, 255, 0.2);
}

/* ===================================================================
 * PopupMenu (popupMenu.js) 
 * ===================================================================*/

.popup-menu-boxpointer {
    -arrow-border-radius: 4px;
    -arrow-background-color: rgba(63,63,63,0.95);
    -arrow-border-width: 1px;
    -arrow-border-color: rgba(120,120,120,1);
    -arrow-base: 21px;
    -arrow-rise: 9px;
    -boxpointer-gap: 2px;
}

.popup-menu {
    color: #fff;
    font-size: 9.5pt;
    min-width: 100px;
}

.popup-submenu-menu-item:open {
    background-color: rgba(70,70,70,0.7);    
}

.popup-sub-menu {
    background-gradient-start: rgba(70,70,70,0.7);
    background-gradient-end: rgba(70,70,70,0.0);
    background-gradient-direction: vertical;
}

.popup-sub-menu .popup-menu-item:ltr {
    padding-right: 0em;
}

.popup-sub-menu .popup-menu-item:rtl {
    padding-left: 0em;
}

.popup-sub-menu StScrollBar {
    padding: 4px;
}

.popup-sub-menu StScrollBar StBin#trough {
    border-width: 0px;
}

.popup-sub-menu StScrollBar StBin#vhandle {
    background-color: #4c4c4c;
    border-width: 0px;
}

.popup-combo-menu {
    background-color: rgba(0,0,0,0.9);
    padding: 1em 0em;
    color: #ffffff;
    font-size: 10.5pt;
    border: 1px solid #5f5f5f;
    border-radius: 9px;
}

/* The remaining popup-menu sizing is all done in ems, so that if you
 * override .popup-menu.font-size, everything else will scale with it.
 */
.popup-menu-content {
    padding: 1em 0em;
}

.popup-menu-item {
    padding: .4em 1.75em;
    spacing: 1em;
}

.popup-menu-item:active {
    background-color: rgba(80,80,80,0.5);    
}

.popup-menu-item:insensitive {
    color: #9f9f9f;
}

.popup-image-menu-item {
}

.popup-combobox-item {
    spacing: 1em;
}

.popup-separator-menu-item {
    -gradient-height: 1px;
    -gradient-start: rgba(90,90,90,1);
    -gradient-end: rgba(90,90,90,1);
    -margin-horizontal: 1.5em;
    height: 1em;
}

.popup-alternating-menu-item:alternate {
    font-weight: bold;
}

.popup-slider-menu-item {
    height: 1em;
    min-width: 15em;
    color: white;
    -slider-height: 0.3em;
    -slider-background-color: rgba(35,35,35,1);
    -slider-border-color: rgba(35,35,35,1);
    -slider-active-background-color: rgba(100,100,100,1);
    -slider-active-border-color: rgba(100,100,100,1);
    -slider-border-width: 1px;
    -slider-handle-radius: 0.5em;
}

.popup-device-menu-item {
    spacing: .5em;
}

.popup-inactive-menu-item {
    font-weight: normal;
    color: #999;
}

.popup-subtitle-menu-item {
    font-weight: bold;
}

.popup-menu-icon {
    icon-size: 1.14em;
}

/* Switches (to be used in menus) */
.toggle-switch {
    width: 64px;
    height: 22px;
}

.toggle-switch-us {
    background-image: url("toggle-off-us.svg");
}
.toggle-switch-us:checked {
    background-image: url("toggle-on-us.svg");
}

.toggle-switch-intl {
    background-image: url("toggle-off-intl.svg");
}
.toggle-switch-intl:checked {
    background-image: url("toggle-on-intl.svg");
}

.nm-menu-item-icons {
    spacing: .5em;
}

/* ===================================================================
 * Panel (panel.js)
 * ===================================================================*/

#panel {
    color: #ffffff;
    background-gradient-start: rgba(70,70,70,0.9);
    background-gradient-end: rgba(50,50,50,0.9);
    background-gradient-direction: vertical;
    font-size: 9pt;
    font-weight: normal;
    height: 25px;
    box-shadow: 0px 0px 2px 2px rgba(0,0,0,0.5);
}

#panelLeft, #panelCenter {
    spacing: 4px;
}

#panelLeft:dnd {
    background-gradient-direction: vertical;
	background-gradient-start: rgba(255,0,0,0.05);
	background-gradient-end: rgba(255,0,0,0.2);        
}

#panelCenter:dnd {
    background-gradient-direction: vertical;
	background-gradient-start: rgba(0,255,0,0.05);
	background-gradient-end: rgba(0,255,0,0.2);        
}

#panelRight:dnd {
    background-gradient-direction: vertical;
	background-gradient-start: rgba(0,0,255,0.05);
	background-gradient-end: rgba(0,0,255,0.2);        
}

#panelLeft:ltr {
    padding-right: 4px;
}

#panelLeft:rtl {
    padding-left: 4px;
}

#panelRight:ltr {
    padding-left: 0px;
    spacing: 0px;
}

#panelRight:rtl {
    padding-right: 0px;
    spacing: 0px;
}

.panel-top {
}

.panel-bottom {
}

.panel-status-button {
    border: 0px solid rgba(0,0,0,0);
    -natural-hpadding: 3px;
    -minimum-hpadding: 3px;
    font-weight: bold;
    color: rgba(200,200,200,1);    
    height: 22px;    
}

.panel-status-button:hover {
    color: white;
    border-radius: 2px;
}

.panel-status-button:active {
    color: white;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(30,30,30,1);
    background-gradient-end: rgba(50,50,50,1);
}

.system-status-icon {
	padding-left: 0px;
	padding-right: 0px;	
	spacing: 0px;
	margin: 0px;
}

#appMenu {
    spacing: 4px;
}

.panel-button #appMenuIcon {
    app-icon-bottom-clip: 1px;
}

.panel-button:active #appMenuIcon,
.panel-button:checked #appMenuIcon,
.panel-button:focus #appMenuIcon {
    app-icon-bottom-clip: 2px;
}

.panel-button {
    -natural-hpadding: 6px;
    -minimum-hpadding: 2px;
    font-weight: bold;
    color: rgba(200,200,200,1);
    transition-duration: 100;
}

.panel-button:hover {
    color: white;
}

.panel-button:active,
.panel-button:overview,
.panel-button:focus {
    color: white;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(30,30,30,1);
    background-gradient-end: rgba(50,50,50,1);
}

.panel-button:active > .system-status-icon,
.panel-button:checked > .system-status-icon,
.panel-button:focus > .system-status-icon {
    icon-shadow: black 0px 2px 2px;
}

.panel-menu {
}

.popup-menu-item-dot {

}

.system-status-icon {
    icon-size: 1.14em;
}

/* ===================================================================
 * Overview 
 * ===================================================================*/

#overview {
    spacing: 12px;
}

.window-caption {
    background-color: black;
    color: white;
    spacing: 25px;
}

.window-caption#selected {
  background-color: white;
  color: black;
  spacing: 25px;
}

.workspace-controls {
    visible-height: 32px; /* Amount visible before hovering */
}

.workspace-thumbnails-background {
    border: 1px solid rgba(128, 128, 128, 0.4);
    border-right: 0px;
    border-radius: 9px 9px 0px 0px;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 8px;
}

.workspace-thumbnails-background:rtl {
    border-right: 1px;
    border-left: 0px;
    border-radius: 9px 9px 0px 0px;
}

.workspace-thumbnails {
        spacing: 14px;
}

.workspace-add-button {
    background-image: url("add-workspace.png");
    height: 200px;
    width: 35px;
    transition-duration: 300;
}

.workspace-add-button:hover {  
    background-image: url("add-workspace-hover.png");
    transition-duration: 300;
}

.workspace-close-button {
    background-image: url("close-window.svg");
    height: 34px;
    width: 34px;
    -cinnamon-close-overlap: 20px;
}

.workspace-thumbnail-indicator {
    outline: 2px solid white;
    border: 1px solid #888;
}

.window-caption {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(90,90,90,1);
    background-gradient-end: rgba(70,70,70,1);
    box-shadow: inset 0px 1px 0px 0px rgba(100,100,100,1);
    border-radius: 4px;
    font-size: 9pt;
    padding: 2px 8px;
    -cinnamon-caption-spacing: 4px;
}

.window-close {
    background-image: url("close-window.svg");
    height: 34px;
    width: 34px;
    -cinnamon-close-overlap: 20px;
}

.window-close:rtl {
    -st-background-image-shadow: 2px 2px 6px rgba(0,0,0,0.5);
}

.window-close-area {
  background-image: url("trash-icon.png");
  background-color: rgba(60, 60, 60, 0.8);
  border: 4px solid rgba(128,128,128,0.8);
  border-bottom-width: 0px;
  border-radius: 20px 20px 0px 0px;
  height: 120px;
  width: 400px;
}

.icon-grid {
    spacing: 36px;
    -cinnamon-grid-item-size: 118px;
}

.icon-grid .overview-icon {
    icon-size: 96px;
}

.overview-icon {
    border-radius: 4px;
    padding: 3px;
    border: 1px rgba(0,0,0,0);
    font-size: 7.5pt;
    color: white;
    transition-duration: 100;
    text-align: center;
}

.expo-background {
  background-gradient-start: #000;
  background-gradient-end: #AAA;
  background-gradient-direction: vertical
}

.workspace-overview-background-shade {
  background-color: rgba(0,0,0,0.4);
}

.expo-workspace-thumbnail-frame {
  border: 1px, rgba(64,64,64,0.9);
  background-color: rgba(64,64,64,0.9);
}

.expo-workspace-thumbnail-frame#active {
  border: 2px, rgba(32,32,32,0.9);
  background-color: rgba(32,32,32,0.9);
} 

/* ===================================================================
* Desklets (desklet.js)
* ===================================================================*/
.desklet {
    color: #fff;
}

.desklet-with-borders {
    border: 2px solid #a5a5a5;
    background-color: rgba(80, 80, 80, 0.8);
    color: #fff;
    border-radius-bottomleft: 12px;
    border-radius-bottomright: 12px;
    border-radius-topleft: 12px;
    border-radius-topright: 12px;
}

.desklet-with-borders-and-header {
    border: 2px solid #a5a5a5;
    background-color: rgba(80, 80, 80, 0.8);
    color: #fff;
    border-top: 1px;
    border-radius-bottomleft: 12px;
    border-radius-bottomright: 12px;
}

.desklet-header {
    border-radius-topleft: 12px;
    border-radius-topright: 12px;
    font-size: 10.5pt;
    border: 2px solid #a5a5a5;
    border-bottom: 0px;
    background-color: rgba(80, 80, 80, 0.8);
    color: #fff;
    padding: 6px;
}

.desklet-drag-placeholder { 
    border: 2px solid #6daa00;
    background-color: rgba(109,170, 0, 0.3);
} 

/* ===================================================================
 * Clock Desklet (desklet.js) 
 * ===================================================================*/
.clock-desklet-label {
} 


/* ===================================================================
 * Looking Glass 
 * ===================================================================*/

#LookingGlassDialog
{
  background-color: rgba(35,35,35,0.8);
  spacing: 4px;
  padding: 4px;
  border: 1px solid rgba(100,100,100,0.8);
  border-radius: 4px;

  color: #CCCCCC;
}

#LookingGlassDialog > #Toolbar
{
  border: 1px solid rgba(100,100,100,0.8);
  border-radius: 4px;
}

#LookingGlassDialog .labels {
  spacing: 4px;
}

#LookingGlassDialog .notebook-tab {
  border: 1px solid rgba(0,0,0,0);
  padding: 2px;
}

#LookingGlassDialog .notebook-tab:hover {
  color: #FFFFFF;
}

#LookingGlassDialog .notebook-tab:selected {
  color: #FFFFFF;
  border: 1px solid rgba(120,120,120,1);
  border-radius: 4px;
  padding: 2px;
}

#LookingGlassDialog .lg-inspector-title {
    font-weight: bold;
    padding-bottom: 8px;
}

.lg-dialog StLabel
{
  color: #cccccc;
}

.lg-dialog StEntry
{
  color: #cccccc;
  selection-background-color: #cccccc;
  selected-color: black;
}

.lg-obj-inspector-title
{
  spacing: 4px;
}

.lg-obj-inspector-button
{
  border: 1px solid #cccccc;
  padding: 4px;
  border-radius: 4px;
}

.lg-obj-inspector-button:hover
{
  border: 1px solid #ffffff;
}

.lg-dialog .cinnamon-link
{
  color: #cccccc;
}

.lg-dialog .cinnamon-link:hover
{
  color: #ffffff;
}

#LookingGlassDialog StBoxLayout#EvalBox
{
  padding: 4px;
  spacing: 4px;
}

#LookingGlassDialog StBoxLayout#ResultsArea
{
  spacing: 4px;
}

#lookingGlassExtensions {
    padding: 4px;
}

.lg-extension-list {
    padding: 4px;
    spacing: 6px;
}

.lg-extension {
    border: 1px solid #6f6f6f;
    border-radius: 4px;
    padding: 4px;
}

.lg-extension-name {
    font-weight: bold;
}

.lg-extension-meta {
    spacing: 6px;
}

#LookingGlassPropertyInspector {
    background: rgba(0, 0, 0, 0.9);
    border: 2px solid grey;
    border-radius: 4px;
    padding: 6px;
    color: #cccccc;
}

/* ===================================================================
 * Date applet 
 * ===================================================================*/

.calendar {
    padding: .4em 1.75em;
    spacing-rows: 0px;
    spacing-columns: 0px;
}

.calendar-month-label {
    color: #cccccc;
    font-size: 7.5pt;
    padding-bottom: 8px;
    padding-top: 8px;
    font-weight: bold;
}

.calendar-change-month-back {
    width: 18px;
    height: 12px;
    background-image: url("calendar-arrow-left.svg");
    border-radius: 4px;
    border: 1px solid rgba(0,0,0,0);
}

.calendar-change-month-back:rtl {
    background-image: url("calendar-arrow-right.svg");
}

.calendar-change-month-back:hover {
    background-color: rgba(80,80,80,1);
    border: 1px solid rgba(120,120,120,1);
}
.calendar-change-month-back:active {
    background-color: rgba(50,50,50,1);
}

.calendar-change-month-forward {
    width: 18px;
    height: 12px;
    background-image: url("calendar-arrow-right.svg");
    border-radius: 4px;
    border: 1px solid rgba(0,0,0,0);
}

.calendar-change-month-forward:rtl {
    background-image: url("calendar-arrow-left.svg");
}

.calendar-change-month-forward:hover {
    background-color: rgba(80,80,80,1);
    border: 1px solid rgba(120,120,120,1);
}

.calendar-change-month-forward:active {
    background-color: rgba(50,50,50,1);
}

.datemenu-date-label {
    padding: .4em 1.75em;
    font-size: 10.5pt;
    color: #cccccc;
    font-weight: bold;
}

.calendar-day-base {
    font-size: 7.5pt;
    text-align: center;
    width: 2.4em;
    height: 2.4em;
}

.calendar-day-base:hover {
    background-color: #777777;
    color: #fff;
}

.calendar-day-base:active {
}

.calendar-day-heading {
    color: #cccccc;
    padding-top: 1em;
}

.calendar-week-number {
    color: #cccccc;
    font-weight: bold;
}

/* Hack used in lieu of border-collapse - see calendar.js */
.calendar-day {
    border: 1px solid rgba(90,90,90,1);
    color: #cccccc;
    border-top-width: 0;
    border-left-width: 0;
}
.calendar-day-top {
    border-top-width: 1px;
}
.calendar-day-left {
    border-left-width: 1px;
}

.calendar-work-day {
}

.calendar-nonwork-day {
    background-color: rgba(128, 128, 128, 0.2);
}

.calendar-today {
    text-shadow: black 0px 2px 2px;
    color: #ffffff;
    font-weight: bold;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(40,40,40,1);
    background-gradient-end: rgba(60,60,60,1);
    box-shadow: inset 0px 0px 0px 1px rgba(120,120,120,1);
}

.calendar-other-month-day {
    color: #888888;
}

.calendar-day-with-events {
    font-weight: bold;
    color: #cccccc;
}

/* ===================================================================
 * Notifications
 * ===================================================================*/

#notification {
    font-size: 8.5pt;
    border-radius: 10px 10px 10px 10px;
    border: 2px solid rgba(214,214,214,0.5);
    background-gradient-direction: vertical;
    background-gradient-start: rgba(66,66,66,0.9);
    background-gradient-end: rgba(55,55,55,0.9);
    padding: 8px 8px 8px 8px;
    spacing-rows: 10px;
    spacing-columns: 10px;
    margin-from-right-edge-of-screen: 20px;    
    width: 34em;
    color: white;    
    /* The px are a temporary fix until get_theme_node() can return raw numbers. */
    opacity:255px;
    mouseover-opacity:96px
}

#notification.multi-line-notification {
    padding-bottom: 8px;
    color: white;
}

/* We use row-span = 2 for the image cell, which prevents its height preferences to be
   taken into account during allocation, so its height ends up being limited by the height
   of the content in the other rows. To avoid showing a stretched image, we set the minimum
   height of the table to be ICON_SIZE + IMAGE_SIZE + spacing-rows = 24 + 125 + 10 = 159 */
.notification-with-image {
    min-height: 159px;
    color: white;
}

#notification-scrollview {
    max-height: 10em;
}

#notification-scrollview > .top-shadow, #notification-scrollview > .bottom-shadow {
    height: 1em;
}

#notification-scrollview:ltr > StScrollBar {
    padding-left: 6px;
}

#notification-scrollview:rtl > StScrollBar {
    padding-right: 6px;
}

#notification-body {
    spacing: 5px;
}

#notification-actions {
    spacing: 10px;
}

.notification-button {
    border-radius: 5px;
    padding: 4px 8px 5px;
}

.notification-button:focus {
    padding: 3px 8px 4px;
}

.notification-icon-button {
    border-radius: 5px;
    padding: 5px;
}

.notification-icon-button:focus {
    padding: 4px;
}

.notification-icon-button > StIcon {
    icon-size: 36px;
}

.hotplug-transient-box {
    spacing: 6px;
    padding: 2px 72px 2px 12px;
}

.hotplug-notification-item {
    padding: 2px 10px;
    border-radius: 18px;
    font-size: 10.5pt;
}

.hotplug-notification-item:focus {
    padding: 1px 71px 1px 11px;
}

.hotplug-notification-item-icon {
    icon-size: 24px;
    padding: 2px 5px;
}

.hotplug-resident-box {
    spacing: 8px;
}

.hotplug-resident-mount {
    spacing: 8px;
    border-radius: 4px;

    color: #ccc;
}

.hotplug-resident-mount:hover {
    background-gradient-direction: horizontal;
    background-gradient-start: rgba(255, 255, 255, 0.1);
    background-gradient-end: rgba(255, 255, 255, 0);

    color: #fff;
}

.hotplug-resident-mount-label {
    color: inherit;
    padding-left: 6px;
}

.hotplug-resident-mount-icon {
    icon-size: 24px;
    padding-left: 6px;
}

.hotplug-resident-eject-icon {
    icon-size: 16px;
}

.hotplug-resident-eject-button {
    padding: 7px;
    border-radius: 5px;
    color: #ccc;
}

#notification StEntry {
    padding: 4px;
    border-radius: 4px;
    color: #a8a8a8;
    selected-color: black;
    border: 1px solid rgba(245,245,245,0.2);
    background-gradient-direction: vertical;
    background-gradient-start: rgb(200,200,200);
    background-gradient-end: white;
    transition-duration: 300;
    box-shadow: inset 0px 2px 4px rgba(0,0,0,0.6);

    caret-color: #a8a8a8;
    caret-size: 1px;
}

#notification StEntry:focus {
    border: 1px solid #8b8b8b;
    color: #333333;
    background-gradient-direction: vertical;
    background-gradient-start: rgb(200,200,200);
    background-gradient-end: white;

    caret-color: #545454;
    selection-background-color: #808080;
}

/* ===================================================================
 * Alt Tab
 * ===================================================================*/

#altTabPopup {
    padding: 8px;
    spacing: 16px;
}

.switcher-list {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(70,70,70,1);
    background-gradient-end: rgba(50,50,50,1);
    border-radius: 8px;
    padding: 20px;
    font-size: 9pt;
    color: white;
    box-shadow: 0px 0px 12px 6px rgba(0,0,0,1);
}

.switcher-list-item-container {
    spacing: 8px;
}

.thumbnail-scroll-gradient-left {
    background-gradient-direction: horizontal;
    background-gradient-start: rgba(51, 51, 51, 1.0);
    background-gradient-end: rgba(51, 51, 51, 0);
    border-radius: 24px;
    border-radius-topright: 0px;
    border-radius-bottomright: 0px;
    width: 60px;
}

.thumbnail-scroll-gradient-right {
    background-gradient-direction: horizontal;
    background-gradient-start: rgba(51, 51, 51, 0);
    background-gradient-end: rgba(51, 51, 51, 1.0);
    border-radius: 24px;
    border-radius-topleft: 0px;
    border-radius-bottomleft: 0px;
    width: 60px;
}

.switcher-list .item-box {
    padding: 8px;
    border: 1px solid rgba(0,0,0,0);
    border-radius: 8px;
}

.switcher-list .item-box:outlined {
    padding: 6px;
    border: 2px solid rgba(85,85,85,1.0);
}

.switcher-list .item-box:selected {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(90,90,90,1);
    background-gradient-end: rgba(70,70,70,1);
    border: 1px solid rgba(120,120,120,1);
}

.switcher-list .thumbnail-box {
    padding: 2px;
    spacing: 4px;
}

.switcher-list .thumbnail {
    width:  256px;
}

.switcher-list .separator {
    width: 1px;
    background: rgba(255,255,255,0.33);
}

.ripple-box {
    width: 104px;
    height: 104px;
    background-image: url("corner-ripple.png");
}

.ripple-box:rtl {
    background-image: url("corner-ripple.png");
}

.switcher-arrow {
    border-color: rgba(0,0,0,0);
    color: #808080;
}

.switcher-arrow:highlighted {
    border-color: rgba(0,0,0,0);
    color: white;
}

.switcher-preview-backdrop {
   background-color: rgba(25,25,25,0.95);
}

/* ===================================================================
 * Modal dialogs
 * ===================================================================*/

.modal-dialog {
    font-size: 10pt;
    border-radius: 8px;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(70,70,70,1);
    background-gradient-end: rgba(50,50,50,1);
    color: #babdb6;
    box-shadow: 0px 0px 12px 6px rgba(0,0,0,1);

    padding-right: 42px;
    padding-left: 42px;
    padding-bottom: 30px;
    padding-top: 30px;
}

.modal-dialog-button-box {
    spacing: 21px;
}

.modal-dialog-button {
    border-radius: 4px;
    font-size: 10pt;
    color: white;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(80,80,80,1);
    background-gradient-end: rgba(60,60,60,1);
    border: 1px solid rgba(0,0,0,0);
    box-shadow: inset 0px 1px 0px 0px rgba(100,100,100,1);
    margin-left: 10px;
    margin-right: 10px;
    padding: 4px 32px 5px;
}

.modal-dialog-button:hover {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(90,90,90,1);
    background-gradient-end: rgba(70,70,70,1);
    border: 1px solid rgba(120,120,120,1);
}

.modal-dialog-button:active,
.modal-dialog-button:checked {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(60,60,60,1);
    background-gradient-end: rgba(40,40,40,1);
    box-shadow: inset 0px 1px 0px 0px rgba(35,35,35,1);
}

.modal-dialog-button:disabled {
    color: rgb(60, 60, 60);
}

.modal-dialog-button:focus {
    padding: 3px 31px 4px;
}

/* ===================================================================
 * Run dialog
 * ===================================================================*/

.run-dialog-label {
    font-size: 9pt;
    color: white;
}

.run-dialog-error-label {
    font-size: 9pt;
    color: white;
}

.run-dialog-error-box {
    padding-top: 15px;
    spacing: 5px;
}

.run-dialog-entry {
    font-size: 10.5pt;
    font-weight: bold;
    width: 23em;
    color: white;
    selection-background-color: white;
    selected-color: black;
}

.run-dialog-completion-box { 
    padding-left: 15px;
    font-size: 10px;
} 

.run-dialog {
    border-radius: 8px;	
    padding-right: 21px;
    padding-left: 21px;
    padding-bottom: 15px;
    padding-top: 15px;
}

.lightbox {
    background-color: rgba(0, 0, 0, 0.4);
}

/* ===================================================================
 * End session dialog
 * ===================================================================*/

.end-session-dialog {
    spacing: 42px;
}

.end-session-dialog-subject {
    font-size: 12pt;
    font-weight: bold;
    color: #666666;
    padding-top: 10px;
    padding-left: 17px;
    padding-bottom: 30px;
}

.end-session-dialog-subject:rtl {
    padding-left: 0px;
    padding-right: 17px;
}

.end-session-dialog-description {
    font-size: 10pt;
    color: white;
    padding-left: 17px;
    width: 28em;
}

.end-session-dialog-description:rtl {
    padding-right: 17px;
}

.end-session-dialog-logout-icon {
    border: 2px solid #8b8b8b;
    border-radius: 5px;
    width: 32px;
    height: 32px;
}

.end-session-dialog-shutdown-icon {
    width: 32px;
    height: 32px;
}

.end-session-dialog-app-list {
    font-size: 10pt;
    max-height: 200px;
    padding-top: 42px;
    padding-left: 49px;
    padding-right: 32px;
}

.end-session-dialog-app-list:rtl {
    padding-right: 49px;
    padding-left: 32px;
}

.end-session-dialog-app-list-item {
    color: #ccc;
}

.end-session-dialog-app-list-item:hover {
    color: white;
}

.end-session-dialog-app-list-item:ltr {
    padding-right: 1em;
}

.end-session-dialog-app-list-item:rtl {
    padding-left: 1em;
}

.end-session-dialog-app-list-item-icon:ltr {
    padding-right: 17px;
}

.end-session-dialog-app-list-item-icon:rtl {
    padding-left: 17px;
}

.end-session-dialog-app-list-item-name {
    font-size: 10pt;
}

.end-session-dialog-app-list-item-description {
    font-size: 8pt;
    color: #444444;
}

/* CinnamonMountOperation Dialogs */
.cinnamon-mount-operation-icon {
    icon-size: 48px;
}

.mount-password-reask {
    color: red;
}

.show-processes-dialog,
.mount-question-dialog {
    spacing: 24px;
}

.show-processes-dialog-subject,
.mount-question-dialog-subject {
    font-size: 12pt;
    font-weight: bold;
    color: #666666;
    padding-top: 10px;
    padding-left: 17px;
    padding-bottom: 6px;
}

.show-processes-dialog-subject:rtl,
.mount-question-dialog-subject:rtl {
    padding-left: 0px;
    padding-right: 17px;
}

.show-processes-dialog-description,
.mount-question-dialog-description {
    font-size: 10pt;
    color: white;
    padding-left: 17px;
    width: 28em;
}

.show-processes-dialog-description:rtl,
.mount-question-dialog-description:rtl {
    padding-right: 17px;
}

.show-processes-dialog-app-list {
    font-size: 10pt;
    max-height: 200px;
    padding-top: 24px;
    padding-left: 49px;
    padding-right: 32px;
}

.show-processes-dialog-app-list:rtl {
    padding-right: 49px;
    padding-left: 32px;
}

.show-processes-dialog-app-list-item {
    color: rgba(200,200,200,1);
}

.show-processes-dialog-app-list-item:hover {
    color: white;
}

.show-processes-dialog-app-list-item:ltr {
    padding-right: 1em;
}

.show-processes-dialog-app-list-item:rtl {
    padding-left: 1em;
}

.show-processes-dialog-app-list-item-icon:ltr {
    padding-right: 17px;
}

.show-processes-dialog-app-list-item-icon:rtl {
    padding-left: 17px;
}

.show-processes-dialog-app-list-item-name {
    font-size: 10pt;
}

/* ===================================================================
 * Policykit authentication dialog
 * ===================================================================*/

.polkit-dialog {
    /* this is the width of the entire modal popup */
    width: 500px;
}

.polkit-dialog-main-layout {
    spacing: 24px;
    padding: 10px;
}

.polkit-dialog-message-layout {
    spacing: 16px;
}

.polkit-dialog-headline {
    font-size: 12pt;
    font-weight: bold;
    color: #666666;
}

.polkit-dialog-description {
    font-size: 10pt;
    color: white;
}

.polkit-dialog-user-layout {
    padding-left: 10px;
    spacing: 10px;
}

.polkit-dialog-user-layout:rtl {
    padding-left: 0px;
    padding-right: 10px;
}

.polkit-dialog-user-root-label {
    color: #ff0000;
}

.polkit-dialog-password-label:ltr {
    padding-right: 0.5em;
}

.polkit-dialog-password-label:rtl {
    padding-left: 0.5em;
}

.polkit-dialog-password-entry {
    background-gradient-start: rgb(236,236,236);
    background-gradient-end: white;
    background-gradient-direction: vertical;
    color: black;
    border-radius: 5px;
    border: 2px solid #555753;
}

.polkit-dialog-password-entry:focus {
    border: 2px solid #3465a4;
}

.polkit-dialog-password-entry .capslock-warning {
    icon-size: 16px;
    warning-color: #999;
    padding: 0 4px;
}

.polkit-dialog-error-label {
    font-size: 10pt;
    color: #ffff00;
    padding-bottom: 8px;
}

.polkit-dialog-info-label {
    font-size: 10pt;
    padding-bottom: 8px;
}

/* intentionally left transparent to avoid dialog changing size */
.polkit-dialog-null-label {
    font-size: 10pt;
    color: rgba(0,0,0,0);
    padding-bottom: 8px;
}

.network-dialog-secret-table {
    spacing-rows: 15px;
}

/* ===================================================================
 * Magnifier
 * ===================================================================*/


.magnifier-zoom-region {
    border: 2px solid rgba(128, 0, 0, 255);
}

.magnifier-zoom-region.full-screen {
    border-width: 0px;
}

/* ===================================================================
 * On screen keyboard
 * ===================================================================*/


#keyboard {
    background-color: rgba(55,55,55,1);
    box-shadow: 0px 0px 2px 2px rgba(0,0,0,0.5);
}

.keyboard-layout {
    spacing: 10px;
    padding: 10px;
}

.keyboard-row {
    spacing: 15px;
}

.keyboard-key {
    min-height: 30px;
    min-width: 30px;
    background-gradient-start: rgba(80,80,80,1);
    background-gradient-end: rgba(60,60,60,1);
    background-gradient-direction: vertical;
    box-shadow: inset 0px 1px 0px 0px rgba(100,100,100,1);
    font-size: 14pt;
    font-weight: bold;
    border-radius: 8px;
    border: 1px solid rgba(0,0,0,0);
    color: white;
}

.keyboard-key:grayed {
   color: #808080;
   border-color: #808080;
}

.keyboard-key:checked,
.keyboard-key:hover {
    background-gradient-start: rgba(90,90,90,1);
    background-gradient-end: rgba(70,70,70,1);
    background-gradient-direction: vertical;
    border: 1px solid rgba(120,120,120,1);
}

.keyboard-key:active {
    background-gradient-start: rgba(60,60,60,1);
    background-gradient-end: rgba(40,40,40,1);
    background-gradient-direction: vertical;
    box-shadow: inset 0px 1px 0px 0px rgba(35,35,35,1);
}

.keyboard-subkeys {
    color: white;
    padding: 5px;
    -arrow-border-radius: 8px;
    -arrow-background-color: rgba(50,50,50,1);
    -arrow-border-width: 1px;
    -arrow-border-color: rgba(90,90,90,1);
    -arrow-base: 20px;
    -arrow-rise: 10px;
    -boxpointer-gap: 1px;
}

/* ###################################################################
 * Cinnamon Specific Section 
 * ###################################################################*/

/* ===================================================================
 * Menu (menu.js)
 * ===================================================================*/

/* Main menu title */
.menu-favorites-box {  
  margin: auto;
  padding: 10px;
  border: 1px solid rgba(90,90,90,1);  
  border-radius: 4px;  
  background-gradient-direction: vertical;
  background-gradient-start: rgba(80,80,80,0.7);
  background-gradient-end: rgba(60,60,60,0.7);
}
.menu-favorites-button {
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    border: 1px solid rgba(0,0,0,0);
    border-radius: 4px;
}

.menu-favorites-button:hover {
	 background-gradient-direction: vertical;
	 background-gradient-start: rgba(90,90,90,1);
	 background-gradient-end: rgba(70,70,70,1);
	 box-shadow: inset 0px 1px 0px 0px rgba(100,100,100,1);
         border: 1px solid rgba(120,120,120,1);
}

.menu-places-box {  
  margin: auto;
  padding: 10px;
  border: 0px solid #666;  
}

.menu-places-button {
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;    
}

.menu-categories-box {
    padding-top: 10px;
    padding-left: 30px;
    padding-right: 30px;
    padding-bottom: 10px;    
}

.menu-applications-box {
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 0px;    
}

.menu-application-button {
    padding-top: 7px;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 7px; 
    max-width: 10px;   
}

.menu-application-button:highlighted {
    /* This style is used in menu application buttons for applications which were newly installed */
    font-weight: bold;
}

.menu-application-button-selected {
    padding-top: 7px;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 7px;
    color: white;
	background-gradient-direction: vertical;
    background-gradient-start: rgba(90,90,90,0.5);
    background-gradient-end: rgba(70,70,70,0.5);
    box-shadow: inset 0px 0px 1px 1px rgba(120,120,120,1);
    border-radius: 4px;
}

.menu-application-button-selected:highlighted {
    /* This style is used in menu application buttons for applications which were newly installed */
    font-weight: bold;
}

.menu-application-button-label:ltr { 
  padding-left: 5px;
}

.menu-application-button-label:rtl { 
  padding-right: 5px;
}

.menu-category-button {
    padding-top: 7px;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 7px;
}

.menu-category-button-greyed {
    padding-top: 7px;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 7px; 
    color: rgba(100,100,100,1);
    font-style: italic;
}

.menu-category-button-selected {
    padding-top: 7px;
    padding-left: 7px;
    padding-right: 7px;
    padding-bottom: 7px; 
    color: white;
	background-gradient-direction: vertical;
	background-gradient-start: rgba(90,90,90,0.5);
	background-gradient-end: rgba(70,70,70,0.5);
	box-shadow: inset 0px 0px 1px 1px rgba(120,120,120,1);
    border-radius: 4px;
}

.menu-category-button-label:ltr { 
    padding-left: 5px       
}

.menu-category-button-label:rtl { 
    padding-right: 5px       
}

.menu-category-button-button:hover {    
    border-radius: 8px;    
}

/* Name and description of the currently hovered item in the menu
 * This appears on the bottom right hand corner of the menu*/
.menu-selected-app-box {
    padding-right: 30px;
    padding-left: 28px;
    text-align: right;
}

.menu-selected-app-title {
    font-weight: bold;
}

.menu-selected-app-description {
    max-width: 150px;
}

.menu-search-box {
   padding-left: 30px;
}

#menu-search-entry {
    padding: 4px 12px;
    border-radius: 4px;
    color: rgb(128, 128, 128);
    border: 1px solid rgba(245,245,245,0.2);
    background-gradient-start: rgba(5,5,6,0.1);
    background-gradient-end: rgba(254,254,254,0.1);
    background-gradient-direction: vertical;
    selected-color: black;
    caret-color: rgb(128, 128, 128);
    caret-size: 1px;
    width: 250px;
    transition-duration: 300;
}

#menu-search-entry:focus,
#menu-search-entry:hover {
    border: 1px solid rgb(150,150,150);
    background-gradient-start: rgb(200,200,200);
    background-gradient-end: white;
    background-gradient-direction: vertical;
    border: 1px solid rgba(120,120,120,1);
    box-shadow: inset 0px 1px 2px 0px rgba(0,0,0,0.5);
}

#menu-search-entry:hover {
    transition-duration: 300;
}

#menu-search-entry:focus {
    color: rgb(64, 64, 64);
    font-weight: bold;
    transition-duration: 0;
}

.menu-search-entry-icon {
    icon-size: 1em;
    color: #8d8f8a;
}

/* Context menu (at the moment only for favorites) */
.menu-context-menu {

}

/* ===================================================================
 * Window list (windowList.js)
 * ===================================================================*/
.window-list-box {
    spacing: 3px;   
    padding-top: 1px;   
}

.window-list-item-label {
    font-weight: bold;
    width: 15em;
    min-width: 5px;
}

.window-list-item-box {
    color: rgba(255,255,255,1.0);
	background-gradient-direction: vertical;
	background-gradient-start: rgba(100,100,100,0.5);
	background-gradient-end: rgba(50,50,50,0.5);
	box-shadow: inset 0px 0px 0px 1px rgba(80,80,80,0.5);
    border-radius: 4px 4px 0px 0px;
    padding: 1px;
    padding-left: 5px;
    padding-right: 5px;
    transition-duration: 100;
}

.window-list-item-box:active,
.window-list-item-box:checked,
.window-list-item-box:focus  {    
    background-gradient-direction: vertical;
    background-gradient-start: rgba(220,220,220,0.5);
    background-gradient-end: rgba(70,70,70,0.5);
    box-shadow: inset 0px 0px 0px 1px rgba(100,100,100,0.5);
    border-radius: 4px 4px 0px 0px;
}


.window-list-item-box:hover  {     
    box-shadow: inset 0px 0px 0px 1px rgba(120,120,120,0.5);    
}

.window-list-item-demands-attention {
         background-gradient-start: rgba(255,52,52,0.5);
	 background-gradient-end: rgba(255,144,144,0.5);
}

/* ===================================================================
 * Sound Applet (status/volume.js)
 * ===================================================================*/
.sound-button-container {
    padding-right: 3px;
    padding-left: 3px;
}

.sound-button {
    width: 22px;
    height: 13px;
    background-gradient-direction: vertical;
    background-gradient-start: rgba(80,80,80,1);
    background-gradient-end: rgba(60,60,60,1);
    border: 1px solid rgba(0,0,0,0);
    border-radius: 4px;
    box-shadow: inset 0px 1px 0px 0px rgba(100,100,100,1);
    padding: 5px;
}
.sound-button:hover {
    background-gradient-start: rgba(90,90,90,1);
    background-gradient-end: rgba(70,70,70,1);
    border: 1px solid rgba(120,120,120,1);
}

.sound-button:active {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(60,60,60,1);
    background-gradient-end: rgba(40,40,40,1);
    box-shadow: inset 0px 1px 0px 0px rgba(35,35,35,1);
}

.sound-button StIcon {
    icon-size: 1.4em;
}

.sound-track-infos {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.sound-track-info {
    padding-top: 2px;
    padding-bottom: 2px;
}

.sound-track-info StIcon {
    icon-size: 1em;
}

.sound-track-info StLabel {
    padding-left: 5px;
    padding-right: 5px;
}

.sound-track-box {  
    padding-left: 15px;
    padding-right: 15px;  
    max-width: 220px;
}

.sound-seek-box {
   padding-left: 20px;
}

.sound-seek-box StLabel {
   padding-top: 2px;
}

.sound-seek-box StIcon {
   icon-size: 1em;
}

.sound-seek-slider {
   width: 140px;
} 

.sound-volume-menu-item {
    padding: .4em 1.75em;
}

.sound-volume-menu-item StIcon {
    icon-size: 1.14em;
    padding-left: 8px;
    padding-right: 8px;
}

.sound-playback-control {
    padding-top: 5px;
    padding-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
}

/* ===================================================================
 * Workspace Switcher applet (workspaceSwitcher.js)
 * ===================================================================*/
#workspaceSwitcher {
    spacing: 0px;
    padding: 3px;
    
}

.workspace-button {
    width: 20px;
    height: 10px;   
    color: rgba(200,200,200,1);
    transition-duration: 100;
    border: 1px;
    border-color: rgba(200,200,200,1);
    padding: 1px;
}

.workspace-button:outlined {
    padding: 1px;    
    background: rgba(200,200,200,1);
    color: rgba(55,55,55,1);
}

/* ===================================================================
 * Panel Launchers Applet (panelLaunchers.js)
 * ===================================================================*/

#panel-launchers-box {
    
}

.panel-launcher {
    margin: 1px;
    padding: 1px;
}

.panel-launcher:hover {
    background-gradient-direction: vertical;
    background-gradient-start: rgba(255,255,255,0.0);
    background-gradient-end: rgba(255,255,255,0.2);
    border: 0px solid rgba(255,255,255,0.5);
    border-bottom-width: 1px;
}

.panel-launcher-add-dialog-content-box {
	padding: 6px;
	spacing: 20px;
}

.panel-launcher-add-dialog-content-box-left {
	padding: 6px;
	spacing: 20px;
}

.panel-launcher-add-dialog-content-box-right {
	padding: 6px;
	spacing: 10px;
}

.panel-launcher-add-dialog-entry {
    padding: 5px;
    border-radius: 4px;
    color: rgb(50, 50, 50);
    border: 1px solid rgba(245,245,245,0.2);
    background-gradient-start: rgba(200,200,200,0.5);
    background-gradient-end: rgba(254,254,254,0.5);
    background-gradient-direction: vertical;
    box-shadow: inset 0px 1px 2px 0px rgba(0,0,0,0.5);
    selected-color: black;
    caret-color: rgb(128, 128, 128);
    caret-size: 1px;
    width: 250px;
    transition-duration: 300;
}

.panel-launcher-add-dialog-entry:focus,
.panel-launcher-add-dialog-entry:hover {
    border: 1px solid rgba(120,120,120,1);
    background-gradient-start: rgb(200,200,200);
    background-gradient-end: white;
    background-gradient-direction: vertical;
}

.panel-launcher-add-dialog-entry:hover {
    transition-duration: 300;
}

.panel-launcher-add-dialog-entry:focus {
    color: rgb(64, 64, 64);
    font-weight: bold;
    transition-duration: 0;
}

/* ===================================================================
 * Overview corner
 * ===================================================================*/
#overview-corner {
	background-image: url("overview.png");
}

#overview-corner:hover {    
    background-image:  url("overview-hover.png");
}

/* ===================================================================
 * Applets (applet.js) 
 * ===================================================================*/
.applet-separator {
    padding: 5px 4px;
}
.applet-separator-line {
    width: 2px;
    background: rgba(255,255,255,.5);
}

.applet-box {
    padding-left: 3px;
    padding-right: 3px;
    color: #ccc;
    text-shadow: black 0px 0px 2px;
}
.applet-box:hover {
    color: #fff;
}
.applet-label { 
    font-weight: bold;
    color: #ccc;        
}
.applet-label:hover,
.applet-box:hover .applet-label {
    color: #fff;
    text-shadow: white 0px 0px 5px;
}
.applet-icon {
    color: #ccc;
    icon-size: 22px;
}
.applet-icon:hover,
.applet-box:hover .applet-icon {
    color: #fff;
    icon-shadow: white 0px 0px 3px;
}

/* ===================================================================
 * Workspace OSD
 * ===================================================================*/

.workspace-osd {
	color: #ffffff;
	text-shadow: black 5px 5px 5px;
	font-weight: bold;
	font-size: 48pt;	
}

.expo-workspaces-name-entry {
	padding: 5px;
	border-radius: 4px;
	color: rgb(128, 128, 128);
	border: 2px solid rgb(136,138,133);
	background-gradient-start: rgb(200,200,200);
	background-gradient-end: white;
	background-gradient-direction: vertical;
	selected-color: black;
	caret-color: rgb(128, 128, 128);
	caret-size: 1px;
	width: 250px;
	height: 15px;	
	box-shadow: inset 0px 2px 4px rgba(0,0,0,0.6);
	text-align: center;	
}

.expo-workspaces-name-entry#selected {
	background-gradient-start: rgb(128,128,128);
	background-gradient-end: black;
	color: rgb(200, 200, 200);
}

.expo-workspaces-name-entry:focus {
	color: rgb(64, 64, 64);
	font-weight: bold;
	transition-duration: 300;
}

/* ===================================================================
 * Notification Applet
 * ===================================================================*/

.notification-applet-padding {
	padding: .5em 1em;
}

.notification-applet-container {
	max-height: 100px;
}

/* Check Boxes */
.check-box CinnamonGenericContainer {
    spacing: .2em;
    min-height: 30px;
    padding-top: 2px;
}

.check-box StBin {
    width: 24px;
    height: 18px;
    background-image: url("checkbox-off.svg");
}

.check-box:focus StBin {
    background-image: url("checkbox-off-focused.svg");
}

.check-box:checked StBin {
    background-image: url("checkbox.svg");
}

.check-box:focus:checked StBin {
    background-image: url("checkbox-focused.svg");
}

.check-box StLabel {
   font-weight: normal;
}

.radiobutton CinnamonGenericContainer {
    spacing: .2em;
    height: 26px;
    padding-top: 2px;
}

.radiobutton StBin {
    width: 22px;
    height: 22px;
    background-image: url("radiobutton-off.svg");
    border-radius: 15px;
}

.radiobutton:focus StBin {
    background-image: url("radiobutton-off.svg");
}

.radiobutton:checked StBin {
    background-image: url("radiobutton.svg");
}

.radiobutton:focus:checked StBin {
    background-image: url("radiobutton.svg");
}

.radiobutton StLabel {
   padding-top: 4px;
   font-size: 0.9em;
   box-shadow: none;
}

.flashspot {
   background-color: white;
}

/* ===================================================================
 * Snap/Tile OSD Popup
 * ===================================================================*/

.snap-osd {
    font-size: 18pt;
    border-radius: 24px;
    background-color: rgba(55,55,55,0.9);
    border: 2px solid rgba(90,90,90,1);
    color: #fff;
    padding-right: 20px;
    padding-left: 20px;
    padding-bottom: 20px;
    padding-top: 20px;
    text-align: center;    
}
